Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 626390 - dev-python/oauth2client-4.1.2 - version bump
Summary: dev-python/oauth2client-4.1.2 - version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on: 626372
Blocks:
  Show dependency tree
 
Reported: 2017-07-27 20:50 UTC by eroen
Modified: 2017-08-15 23:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
oauth2client-4.1.2.ebuild (oauth2client-4.1.2.ebuild,1.22 KB, text/plain)
2017-07-27 20:50 UTC, eroen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description eroen 2017-07-27 20:50:41 UTC
Created attachment 486984 [details]
oauth2client-4.1.2.ebuild

Upstream says:
    "oauth2client is now deprecated. No more
    features will be added to the libraries and
    the core team is turning down support."

There are still consumers in gentoo, so should probably be worthwhile to bump to this (likely final) release.

Test suite works now, except for the ones I have excluded. The sed fix has been applied by upstream.



--- a/dev-python/oauth2client/oauth2client-4.0.0.ebuild
+++ b/dev-python/oauth2client/oauth2client-4.1.2.ebuild
@@ -25,21 +25,16 @@ RDEPEND="
 	!<=dev-python/google-api-python-client-1.1[${PYTHON_USEDEP}]
 "
 DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
 	test? ( dev-python/nose[${PYTHON_USEDEP}] )
 "
 
 S="${WORKDIR}"/${P/_p/-post}
 
-# Needs network
-RESTRICT=test
-
-python_prepare_all() {
-	sed -i \
-		-e "s:find_packages():find_packages(exclude=['tests','tests.*']):" \
-		setup.py || die
-	distutils-r1_python_prepare_all
-}
-
 python_test() {
-	nosetests || die
+	nosetests -e appengine -e django_util -e test_multiprocess_file_storage -e test_bad_positional || die
+	# appengine - requires appengine
+	# django_util - requires django
+	# test_multiprocess_file_storage - requires fasteners
+	# test_bad_positional - expects TypeError, gets ValueError
 }
Comment 1 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2017-08-15 23:30:55 UTC
InGit, thanks for the patch.